How do I use spoiler tags on my own discourse instance


(ampburner) #1

Is it a plugin? Do I need to enable a setting?

this seems to work on meta.discourse.org, but not on my own installation


(Arpit Jalan) #2

It’s a plugin, you can get it from here:

To install this plugin, refer Install a plugin section of this guide:


(ampburner) #3

Thanks!

I suppose “plugin” means I need to worry about backwards-compatability when updating Discourse?
I don’t like idea of making manual changes so I would prefer to keep my install as vanilla as possible.

This seems like a feature that should be in Discourse core. Is it on the roadmap? I can wait.


(Arpit Jalan) #4

Updates for Discourse (core) is separate from plugin updates. Plugin will be updated in case there are breaking changes, and you will be notified of update on admin/docker page:

//discourse-meta.s3-us-west-1.amazonaws.com/original/2X/2/2c1bb3582be9f689032f105f61ac09d15c370327.png

As you can see, the update notification for discourse core is separate from plugin updates (emoji, poll, docker_manager).